Bug 147714 - [MAINTAINER] deskutils/osmo - fix pointyhat fails
Summary: [MAINTAINER] deskutils/osmo - fix pointyhat fails
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-09 08:00 UTC by Charlie Kester
Modified: 2010-06-15 14:20 UTC (History)
0 users

See Also:


Attachments
osmo-0.2.10.diff (1.76 KB, patch)
2010-06-09 08:00 UTC, Charlie Kester
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Charlie Kester 2010-06-09 08:00:09 UTC
See the following pointyhat log: 
  http://pointyhat.freebsd.org/errorlogs/amd64-errorlogs/e.7.20100606103732/osmo-0.2.10_2.log

There are two failures described in that log:

- The attempt to install three .mo files failed because they were not found in the workdir.

- Deinstalling the port removed the directory /usr/local/share/sounds, 
  which is owned by gnomehier and should not be deleted here.

These failures were reported on amd64 but can also be seen on any other platform.

Fix: The attached patch adds three new items to the POFILES listed in the port Makefile, 
so that the missing .mo files will be generated.

The pkg-plist file is updated to add entries for the three new .mo files.
Several dirrmtry lines are also deleted.

Port files added: none
Port files deleted: none
Comment 1 Wesley Shields freebsd_committer 2010-06-09 13:45:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 2 Wesley Shields freebsd_committer 2010-06-13 14:37:11 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 3 dfilter service freebsd_committer 2010-06-15 14:18:35 UTC
wxs         2010-06-15 13:18:20 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/osmo       Makefile pkg-plist 
  Log:
  Fix pointyhat failures.
  
  PR:             ports/147714
  Submitted by:   Charlie Kester <corky1951@comcast.net> (maintainer)
  
  Revision  Changes    Path
  1.9       +1 -1      ports/deskutils/osmo/Makefile
  1.2       +3 -15     ports/deskutils/osmo/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"